# This flake was initially generated by fh, the CLI for FlakeHub (version 0.1.10)
{
  description = "My personal website version 2.0";

  inputs = {
    nixpkgs.url = "https://flakehub.com/f/NixOS/nixpkgs/*.tar.gz";
    nixpkgs-unstable.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs =
    { self
    , nixpkgs
    , nixpkgs-unstable
    , flake-utils
    ,
    }:
    flake-utils.lib.eachDefaultSystem (
      system:
      let
        pkgs = import nixpkgs {
          inherit system;
          overlays = [
            (final: prev: {
              deno = nixpkgs-unstable.legacyPackages.${system}.deno;
            })
          ];
        };
      in
      {
        devShells.default = pkgs.mkShell {
          buildInputs = with pkgs; [
            deno
            rustc
            cargo
            cargo-edit
            cargo-watch
            cargo-vet
            sqlx-cli
            curl
            git
            jq
            wget
            nixpkgs-fmt
          ];
        };
      }
    );
}
